package cn.bunny.web.product.mapper;

import cn.bunny.common.spzx.model.dto.h5.ProductSkuDto;
import cn.bunny.common.spzx.model.entity.product.ProductSku;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ProductSkuMapper {

    List<ProductSku> selectProductSkuBySale();

    // 分页查询
    List<ProductSku> findByPage(ProductSkuDto productSkuDto);

    // 根据skuId获取sku信息
    ProductSku getById(Long skuId);


    // 封装map集合 == 商品规则对应商品skuId信息
    List<ProductSku> findByProductId(Long productId);
}
