package cn.bunny.web.product.service;

import cn.bunny.common.spzx.model.dto.h5.ProductSkuDto;
import cn.bunny.common.spzx.model.entity.product.ProductSku;
import cn.bunny.common.spzx.model.vo.h5.ProductItemVo;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface ProductService {
    // 根据销量排序，获取前十条激励
    List<ProductSku> selectProductSkuBySal();

    // 分页查询
    PageInfo<ProductSku> findByPage(Integer page, Integer limit, ProductSkuDto productSkuDto);

    // 商品详情
    ProductItemVo itemBySkuId(Long skuId);
}
