package cn.bunny.user.mapper;

import cn.bunny.common.spzx.model.entity.user.UserInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UserinfoMapper {

    // 校验用户名不重复
    UserInfo getByUsername(@Param("username") String username);

    // 封装添加数据，调用方法调用添加数据
    void save(UserInfo userInfo);

    // 根据用户名查询数据库，得到用户信息
    UserInfo selectByUsername(String username);
}
